Skip to content
Permalink
Browse files
8238434: Ensemble: Update version of Lucene to 7.7.2
Reviewed-by: aghaisas
  • Loading branch information
kevinrushforth committed Feb 18, 2020
1 parent e986459 commit b5e65ecc68ca550571e6b59911089c79855df6e3
@@ -12,9 +12,9 @@
<classpathentry kind="src" path="Ensemble8/src/compiletime/java"/>
<classpathentry kind="src" path="Ensemble8/src/generated/java"/>
<classpathentry kind="src" path="Ensemble8/src/generated/resources"/>
<classpathentry kind="lib" path="Ensemble8/lib/lucene-core-7.7.1.jar"/>
<classpathentry kind="lib" path="Ensemble8/lib/lucene-grouping-7.7.1.jar"/>
<classpathentry kind="lib" path="Ensemble8/lib/lucene-queryparser-7.7.1.jar"/>
<classpathentry kind="lib" path="Ensemble8/lib/lucene-core-7.7.2.jar"/>
<classpathentry kind="lib" path="Ensemble8/lib/lucene-grouping-7.7.2.jar"/>
<classpathentry kind="lib" path="Ensemble8/lib/lucene-queryparser-7.7.2.jar"/>
<classpathentry kind="src" path="MandelbrotSet/src"/>
<classpathentry kind="src" path="Modena/src/main/java"/>
<classpathentry kind="src" path="Modena/src/main/resources"/>
@@ -13,10 +13,10 @@ To update to a new version of Lucene:
gradle clean
gradle sdk apps

NOTE: if upgrading to a new major version there are usually compilation errors that need to be fixed.
NOTE: if upgrading to a new major version there are usually compilation or runtime errors that need to be fixed.


3. Regenerate the index files:
3. Regenerate the index files. This step can be skipped if only the "bugfix" number (the third digit) of the release changes:

$ cd apps/samples/Ensemble8
$ rm -rf src/generated/resources/ensemble/search/index
@@ -4,9 +4,9 @@ apply plugin:'application'
def mainClassName = "ensemble.EnsembleApp"

def FileCollection apachecp = files(
"./lib/lucene-core-7.7.1.jar",
"./lib/lucene-grouping-7.7.1.jar",
"./lib/lucene-queryparser-7.7.1.jar")
"./lib/lucene-core-7.7.2.jar",
"./lib/lucene-grouping-7.7.2.jar",
"./lib/lucene-queryparser-7.7.2.jar")

sourceSets {
main {
@@ -1,4 +1,4 @@
## Apache Lucene v7.7.1
## Apache Lucene v7.7.2

### Apache Lucene Notice
```
@@ -31,7 +31,7 @@ dist.jar=${dist.dir}/Ensemble8.jar
dist.javadoc.dir=${dist.dir}/javadoc
endorsed.classpath=
excludes=
lucene.version=7.7.1
lucene.version=7.7.2
file.reference.lucene-core.jar=lib/lucene-core-${lucene.version}.jar
file.reference.lucene-grouping.jar=lib/lucene-grouping-${lucene.version}.jar
file.reference.lucene-queryparser.jar=lib/lucene-queryparser-${lucene.version}.jar
@@ -4148,7 +4148,7 @@ project(":apps") {
// The apps build is Ant based, we will exec ant from gradle.

// Download the Lucene libraries needed for the Ensemble8 app
def luceneVersion = "7.7.1"
def luceneVersion = "7.7.2"
getConfigurations().create("lucene");
dependencies {
lucene group: "org.apache.lucene", name: "lucene-core", version: luceneVersion

0 comments on commit b5e65ec

Please sign in to comment.